xine-lib: xine-lib-1.2.13/src/spu_dec/cc_decoder.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions
cc_decoder.h File Reference

Go to the source code of this file.

## Data Structures
struct | cc_config_s
struct | spucc_class_s
struct | cc_state_s

## Macros
#define | NUM_CC_PALETTES 2
#define | CC_FONT_MAX 256

## Typedefs
typedef struct cc_decoder_s | cc_decoder_t
typedef struct cc_renderer_s | cc_renderer_t
typedef struct cc_config_s | cc_config_t
typedef struct spucc_class_s | spucc_class_t
typedef struct cc_state_s | cc_state_t

## Functions
cc_decoder_t * | cc_decoder_open (cc_state_t *cc_state)
void | cc_decoder_close (cc_decoder_t *this_obj)
void | decode_cc (cc_decoder_t *this, uint8_t *buffer, uint32_t buf_len, int64_t pts)
cc_renderer_t * | cc_renderer_open (osd_renderer_t *osd_renderer, metronom_t *metronom, cc_state_t *cc_state, int video_width, int video_height)
void | cc_renderer_close (cc_renderer_t *this_obj)
void | cc_renderer_update_cfg (cc_renderer_t *this_obj, int video_width, int video_height)

## Macro Definition Documentation

## ◆ CC_FONT_MAX

#define CC_FONT_MAX 256

Referenced by spucc_font_change(), and spucc_register_cfg_vars().

## ◆ NUM_CC_PALETTES

#define NUM_CC_PALETTES 2

## Typedef Documentation

## ◆ cc_config_t

typedef struct cc_config_s cc_config_t

## ◆ cc_decoder_t

typedef struct cc_decoder_s cc_decoder_t

## ◆ cc_renderer_t

typedef struct cc_renderer_s cc_renderer_t

## ◆ cc_state_t

typedef struct cc_state_s cc_state_t

## ◆ spucc_class_t

typedef struct spucc_class_s spucc_class_t

## Function Documentation

## ◆ cc_decoder_close()

void cc_decoder_close | ( | cc_decoder_t * | this_obj | ) |

References ccmem_exit().

Referenced by spucc_do_close().

## ◆ cc_decoder_open()

cc_decoder_t * cc_decoder_open | ( | cc_state_t * | cc_state | ) |

References ccmem_init(), and NULL.

Referenced by spucc_do_init().

## ◆ cc_renderer_close()

void cc_renderer_close | ( | cc_renderer_t * | this_obj | ) |

References cc_renderer_free_osd_object().

Referenced by spucc_do_close().

## ◆ cc_renderer_open()

cc_renderer_t * cc_renderer_open | ( | osd_renderer_t * | osd_renderer,
|  | metronom_t * | metronom,
|  | cc_state_t * | cc_state,
|  | int | video_width,
|  | int | video_height )

References cc_renderer_update_cfg(), and NULL.

Referenced by spucc_do_init().

## ◆ cc_renderer_update_cfg()

void cc_renderer_update_cfg | ( | cc_renderer_t * | this_obj,
|  | int | video_width,
|  | int | video_height )

References cc_state_s::can_cc, cc_state_s::cc_cfg, CC_COLUMNS, cc_renderer_adjust_osd_object(), cc_renderer_build_palette(), cc_renderer_free_osd_object(), CC_ROWS, cc_renderer_s::cc_state, cc_config_s::font, cc_config_s::font_size, get_font_metrics(), cc_renderer_s::height, cc_config_s::italic_font, MAX, cc_renderer_s::max_char_height, cc_renderer_s::max_char_width, cc_renderer_s::osd_renderer, cc_renderer_s::video_height, cc_renderer_s::video_width, cc_renderer_s::width, cc_renderer_s::x, and cc_renderer_s::y.

Referenced by cc_renderer_open(), and spucc_update_intrinsics().

## ◆ decode_cc()

void decode_cc | ( | cc_decoder_t * | this,
|  | uint8_t * | buffer,
|  | uint32_t | buf_len,
|  | int64_t | pts )

References cc_decode_EIA608(), and good_parity().

Referenced by spudec_decode_data().